Summary:	Standard terminal emulator for the X window system
Name:		xterm
Version:	327
Release:	%mkrel 1
Source0:	ftp://invisible-island.net/xterm/%{name}-%{version}.tgz
Source1:	ftp://invisible-island.net/xterm/%{name}-%{version}.tgz.asc

# from http://www.vim.org/scripts/script.php?script_id=1349, public domain
Source20:	colortest.pl

Url:		http://invisible-island.net/xterm/
License:	MIT
Group:		Terminals
BuildRequires:	libx11-devel
BuildRequires:	libxaw-devel
BuildRequires:	libxft-devel
BuildRequires:	libxmu-devel
BuildRequires:	libxt-devel
BuildRequires:	fontconfig-devel
BuildRequires:	libncurses-devel
BuildRequires:	luit
Requires:	luit

%description
The XTerm program is the standard terminal emulator for the X Window System. It
provides DEC VT102/VT220 and Tektronix 4014 compatible terminals for programs
that can't use the window system directly. If the underlying operating system
supports terminal resizing capabilities (for example, the SIGWINCH signal in
systems derived from 4.3bsd), xterm will use the facilities to notify programs
running in the window whenever it is resized.

The xterm included in this package has support for 256 colors enabled.

%prep
%setup -q
cp %{SOURCE20} .

%build
%configure2_5x \
   --disable-full-tgetent \
   --enable-wide-chars \
   --x-includes=%{_includedir}/freetype2 \
   --enable-luit \
   --enable-256-color \
   --with-app-defaults=%{_libdir}/X11/app-defaults \
   --with-icon-theme=hicolor \
   --with-icondir=%{_datadir}/icons

%make

%install
make DESTDIR=%{buildroot} install

# NOTE: encodingMode: locale means to follow the charset encoding of the
# locale. A quite complete unicode font is set as the default (instead of the
# very poor "fixed" one). a quick cat is used instead of patching the sources;
# it shoulmd be made the default imho
# locale: true means to use luit to convert locale encoding to unicode
# for display.
# luit support is needed for it to work -- pablo
cat << EOF >> %{buildroot}%{_libdir}/X11/app-defaults/XTerm

*.vt100.font: -misc-fixed-medium-r-normal--15-140-75-75-c-90-iso10646-1
*.vt100.encodingMode: locale
*.locale: true
*.PtyInitialErase: on
*.backarrowKeyIsErase: on
*.allowFontOps: false
*.allowTcapOps: false
*.disallowedWindowOps: 1,2,3,4,5,6,7,8,9,11,13,14,18,19,20,21,GetSelection,SetSelection,SetWinLines,SetXprop
EOF

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=XTerm
GenericName=Terminal
GenericName[ru]=Терминал
Comment=%{summary}
Comment[ar]=برنامج سطر الأوامر القياسي لنظام نوافذ إكس
Comment[az]=X Windows sistemi üçün standart terminal emulyator
Comment[bg]=Стандартният терминален емулатор за Х
Comment[bn]=এক্স উইন্ডো সিস্টেমের সাধারণ টার্মিনাল এমুলেটর
Comment[bs]=Standardni simulator terminala za X Window sistem
Comment[ca]=L'emulador estàndard de terminal per al sistema de finestres X
Comment[cs]=Standardní emulátor terminálu pro X Window Systém
Comment[cy]=Efelychydd terfynell safonol ar gyfer System Ffenestr X
Comment[da]=Den almindelige terminalemulator for X vinduessystemet
Comment[de]=Die Standard-Terminal-Emulation des X Window Systems
Comment[el]=Ο προκαθορισμένος εξομοιωτής τερματικού για το Σύστημα Παραθύρων Χ
Comment[es]=El emulador de terminal estándar para el X Window System
Comment[et]=Tavaline terminaliemulaator X Window süsteemi jaoks
Comment[eu]=X Window sistemaren terminal-emulatzaile estandarra
Comment[fa]=شبیه‌ساز پایانه استاندارد در سیستم پنجره X
Comment[fi]=X-ikkunointijärjestelmän oletuspääte-emulaattori
Comment[fr]=L'émulateur de terminal standard du système X Window
Comment[gl]=O emulador de terminal estandar para o Sistema X Window
Comment[he]=אמולטור המסוף הסטנדרטי של מערכת X
Comment[hi]=एक्स विण्डो प्रणाली के लिए मानक टर्मिनल ऐम्यूलेटर
Comment[hu]=Az X ablakrendszer standard terminálemulátora
Comment[id]=Emulator terminal standar untuk Sistem Window X
Comment[is]=Staðlaði skjáhermirinn fyrir X gluggakerfið
Comment[it]=L'emulatore di terminale standard per il sistema X Window
Comment[ja]=X ウィンドウシステムの標準ターミナル
Comment[ko]=X용 표준 터미널 에뮬레이터
Comment[ky]=X Window Системасы үчүн стндарттык терминал эмулятору
Comment[lt]=Standartinis terminalo emuliatorius X Window sistemai
Comment[lv]=Standarta termināļa emulators priekš X logu sistēmas
Comment[mk]=Стандардниот терминал-емулатор за системот „X Window“
Comment[mt]=L-emulatur ta' terminal standard tas-sistema X Windows
Comment[nb]=Standard terminalemulatoren for X
Comment[nl]=De standaard terminal emulator voor het X Window systeem
Comment[nn]=Standard terminalemulator for X
Comment[pl]=Standardowy emulator terminala dla systemu X Window
Comment[pt]=O emulador de terminal padrão para o Sistema de Janelas X
Comment[pt_BR]=Emulador de terminal padrão do Sistema de Janelas X
Comment[ro]=Emulator de terminal standard pentru sistemul X Window
Comment[ru]=Стандартный эмулятор терминала для системы X Window
Comment[sc]=S'emuladori de terminali standard po su X Window System
Comment[sk]=Štandardný emulátor terminálu pre X Window Systém
Comment[sl]=Standardna kozola za X okna
Comment[sq]=Një imitues standard i terminalit për Sistemin X Windows
Comment[sr]=Стандардни емулатор терминала за X Window Систем
Comment[sr@Latn]=Standardni emulator terminala za X Window Sistem
Comment[sv]=Den förvalda terminalemulatorn för X
Comment[ta]=கொடாநிலை முனையம்
Comment[tg]=Намунасози низоммеъёри поёна барои X Системаи Тирезавӣ
Comment[th]=โปรแกรมเทอร์มินัลมาตรฐานบน X Windows
Comment[tl]=And standard terminal emulator (manggagaya terminal) para sa X Window System
Comment[tr]=X Window Sistemi için bir standart Uçbirim Emülasyonu
Comment[uk]=Емулятор стандартного терміналу для системи X Window
Comment[vi]=Trình mô phỏng Terminal chuẩn cho Hệ thống Cửa sổ X
Comment[wa]=Li terminå standård pol sistinme di purneas X
Comment[zh_CN]=X 窗口系统模拟终端
Comment[zh_TW]=X Window 系統的標準終端機模擬器
Exec=%{name} -name Terminal
Icon=xterm-color
Terminal=false
Type=Application
StartupNotify=true
Categories=TerminalEmulator;System;Utility;
EOF

for xpm in *xterm{-color_32x32,-color_48x48,_32x32,_48x48}.xpm; do
	rm -f %{buildroot}%{_datadir}/pixmaps/$xpm
done

%files
%doc ctlseqs.txt colortest.pl
%{_bindir}/*
%{_mandir}/*/*
%{_libdir}/X11/app-defaults/*
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/xterm-*.*


%changelog
* Fri Nov 11 2016 luigiwalser <luigiwalser> 327-1.mga6
+ Revision: 1066593
- 327

* Wed Aug 10 2016 luigiwalser <luigiwalser> 325-1.mga6
+ Revision: 1045358
- 325

* Fri Apr 15 2016 shlomif <shlomif> 324-1.mga6
+ Revision: 1002714
- New version 324

* Mon Feb 22 2016 blino <blino> 322-2.mga6
+ Revision: 975932
- drop xvt alternatives post scripts, xvt has been a script since 2004

* Sat Jan 02 2016 luigiwalser <luigiwalser> 322-1.mga6
+ Revision: 918417
- 322

* Fri Sep 11 2015 ycantin <ycantin> 320-1.mga6
+ Revision: 878302
- new version 320

* Fri Aug 28 2015 ycantin <ycantin> 319-1.mga6
+ Revision: 870381
- new version 319

  + luigiwalser <luigiwalser>
    - disallow some insecure window operations by default (like debian)

* Sat Jul 25 2015 tv <tv> 318-1.mga6
+ Revision: 857500
- new release

* Tue Mar 03 2015 luigiwalser <luigiwalser> 315-1.mga5
+ Revision: 817386
- 315

* Thu Nov 27 2014 alexl <alexl> 312-3.mga5
+ Revision: 799515
- added translations for desktop file, xterm did not use menu-messages

* Wed Oct 15 2014 umeabot <umeabot> 312-2.mga5
+ Revision: 740283
- Second Mageia 5 Mass Rebuild

* Thu Oct 09 2014 luigiwalser <luigiwalser> 312-1.mga5
+ Revision: 737668
- 312

* Tue Sep 16 2014 umeabot <umeabot> 310-2.mga5
+ Revision: 690792
- Mageia 5 Mass Rebuild

* Fri Aug 01 2014 luigiwalser <luigiwalser> 310-1.mga5
+ Revision: 658823
- 310

* Thu Jul 24 2014 luigiwalser <luigiwalser> 309-1.mga5
+ Revision: 656178
- 309

* Mon Jun 23 2014 luigiwalser <luigiwalser> 308-1.mga5
+ Revision: 639057
- 308

* Wed Jun 18 2014 luigiwalser <luigiwalser> 307-1.mga5
+ Revision: 637952
- 307

* Thu Jun 12 2014 luigiwalser <luigiwalser> 306-1.mga5
+ Revision: 635866
- 306

* Tue Jun 03 2014 luigiwalser <luigiwalser> 305-1.mga5
+ Revision: 632584
- 305

* Sun May 04 2014 luigiwalser <luigiwalser> 304-1.mga5
+ Revision: 619911
- 304

* Sat Mar 08 2014 luigiwalser <luigiwalser> 303-1.mga5
+ Revision: 601110
- 303

* Tue Mar 04 2014 luigiwalser <luigiwalser> 302-1.mga5
+ Revision: 599277
- 302

* Tue Feb 04 2014 dams <dams> 301-1.mga5
+ Revision: 580731
- new version 301

* Wed Dec 11 2013 luigiwalser <luigiwalser> 300-1.mga4
+ Revision: 556224
- 300

* Sat Oct 19 2013 umeabot <umeabot> 297-2.mga4
+ Revision: 534387
- Mageia 4 Mass Rebuild

* Wed Sep 11 2013 luigiwalser <luigiwalser> 297-1.mga4
+ Revision: 477593
- 297

* Fri Jul 12 2013 luigiwalser <luigiwalser> 296-1.mga4
+ Revision: 453226
- 296

* Sun Jul 07 2013 luigiwalser <luigiwalser> 295-1.mga4
+ Revision: 450858
- 295

* Sat Jul 06 2013 luigiwalser <luigiwalser> 294-1.mga4
+ Revision: 450785
- 294

* Thu May 30 2013 dams <dams> 293-1.mga4
+ Revision: 432927
- new version 293

* Thu May 23 2013 dams <dams> 292-1.mga4
+ Revision: 425047
- new version 292

* Fri May 10 2013 luigiwalser <luigiwalser> 291-2.mga3
+ Revision: 412881
- fix comment line in desktop file (mga#10050)

* Wed Feb 27 2013 luigiwalser <luigiwalser> 291-1.mga3
+ Revision: 400548
- 291

* Thu Feb 14 2013 luigiwalser <luigiwalser> 290-1.mga3
+ Revision: 398374
- 290

* Tue Feb 12 2013 luigiwalser <luigiwalser> 289-1.mga3
+ Revision: 397944
- 289

* Mon Jan 14 2013 dams <dams> 288-1.mga3
+ Revision: 387891
- new version 288

* Mon Jan 14 2013 umeabot <umeabot> 287-2.mga3
+ Revision: 387449
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 28 2012 fwang <fwang> 287-1.mga3
+ Revision: 322553
- new version 287

* Mon Nov 05 2012 dams <dams> 286-1.mga3
+ Revision: 314476
- new version 286
- install icon to hicolor theme and use it in desktop file

* Sat Sep 29 2012 fwang <fwang> 282-1.mga3
+ Revision: 299998
- new version 282

* Tue Jul 03 2012 dams <dams> 281-1.mga3
+ Revision: 266958
- new version 281

* Mon Jun 25 2012 dams <dams> 279-1.mga3
+ Revision: 263616
- new version 279

* Sat Mar 03 2012 dams <dams> 278-1.mga2
+ Revision: 217081
- new version 278
- clean spec file

* Mon Oct 31 2011 fwang <fwang> 276-1.mga2
+ Revision: 160287
- new version 276

* Fri Sep 23 2011 boklm <boklm> 275-1.mga2
+ Revision: 147140
- version 275

* Tue Sep 06 2011 tv <tv> 274-1.mga2
+ Revision: 139752
- new release
- new release

* Wed Apr 27 2011 wally <wally> 269-3.mga1
+ Revision: 92057
- fix desktop file name (mga#954)
- drop buildroot definition

* Thu Apr 14 2011 pterjan <pterjan> 269-2.mga1
+ Revision: 84817
- Re-upload after upload bug

* Wed Apr 13 2011 tv <tv> 269-1.mga1
+ Revision: 84687
- new release

* Thu Jan 20 2011 pterjan <pterjan> 267-1.mga1
+ Revision: 26636
- Drop old stuff
- imported package xterm

